$packageName = 'sqlserver-odbcdriver-18'
$installerType = 'msi'
$silentArgs = '/qn /norestart IACCEPTMSODBCSQLLICENSETERMS=YES'
$url = 'https://download.microsoft.com/download/4/f/e/4fed6f4b-dc42-4255-b4b4-70f8e2a35a63/en-US/18.3.2.1/x86/msodbcsql.msi'
$url64 = 'https://download.microsoft.com/download/4/f/e/4fed6f4b-dc42-4255-b4b4-70f8e2a35a63/en-US/18.3.2.1/x64/msodbcsql.msi'
$checksumType = 'sha256'
$checksum = '7439a07e17d3c824e42cd2f492dfc44aab48510bf9f2f8146421624dbb949f9e'
$checksum64 = '88302cf5ac83c4a6303eb2f05311a6ec89c0b32e4040f08f829744df15c2de3a'

$32DllPath = Join-Path -Path $Env:SystemRoot -ChildPath (Join-Path -Path 'system32' -ChildPath 'msodbcsql18.dll')
$64DllPath = Join-Path -Path $Env:SystemRoot -ChildPath (Join-Path -Path 'syswow64' -ChildPath 'msodbcsql18.dll')
# Check if the file is missing or the version number is older
$32BitNeeded = -not(Test-path $32DllPath) -or (([Version]$(Get-ItemProperty -Path $32DllPath).VersionInfo.ProductVersion) -lt [Version]$Env:ChocolateyPackageVersion)
$64BitNeeded = -not(Test-path $64DllPath) -or (([Version]$(Get-ItemProperty -Path $64DllPath).VersionInfo.ProductVersion) -lt [Version]$Env:ChocolateyPackageVersion)

$updateNeeded = ($32BitNeeded -or $64BitNeeded -or $Env:ChocolateyForce)
if ($updateNeeded) {
    Install-ChocolateyPackage -PackageName $packageName `
        -FileType $installerType `
        -SilentArgs $silentArgs `
        -Url $url `
        -Url64bit $url64 `
        -ValidExitCodes @(0) `
        -Checksum $checksum `
        -ChecksumType $checksumType `
        -Checksum64 $checksum64 `
        -ChecksumType64 $checksumType
} else {
    Write-Warning "Package not installed as the odbc driver is already present. Use --force to force the a re-installation."
}
